--AH:ScriptId=26A4DD2A-7AA6-46C5-9F11-A8C9E55DC029

CREATE TABLE [ProGetLicensingViolations]
(
	[Violation_Id] INT IDENTITY(1, 1) NOT NULL,
	[Feed_Id] INT NOT NULL,
	[Connector_Id] INT NULL,
	[Lookup_Hash] BINARY(32) NOT NULL,
	[ConnectedTo_Url] NVARCHAR(MAX) NULL,
	[ConnectedFrom_IP] VARCHAR(200) NULL,
	[ConnectedFrom_UserAgent] NVARCHAR(200) NULL,
	[LastModified_Date] DATETIME NOT NULL,
	[Violation_Count] INT NOT NULL,

	CONSTRAINT [PK__ProGetLicensingViolation]
		PRIMARY KEY ([Violation_Id]),

	CONSTRAINT [FK__ProGetLicensingViolations__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE,

	CONSTRAINT [FK__ProGetLicensingViolations__Connectors]
		FOREIGN KEY ([Connector_Id])
		REFERENCES [Connectors] ([Connector_Id])
		ON DELETE CASCADE,

	CONSTRAINT [UQ__ProGetLicensingViolations__Lookup_Hash]
		UNIQUE ([Feed_Id], [Lookup_Hash])
)
GO
